package com.acme.portal.data;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Pattern;

import oracle.adf.share.logging.ADFLogger;

public class StockManager {
    // Return all stocks
      List<Stock> stocks = new ArrayList<Stock>();
    private static ADFLogger LOGGER = 
               ADFLogger.createADFLogger(StockManager.class); 
      public List<Stock> findAllStocks() {
          LOGGER.log(LOGGER.TRACE, "call to stocks "+stocks.size());
        return stocks;
      }

      // Return all contacts matching name (case-insensitive)
      public List<Stock> findStocksBySymbol(String symbol) {
        String namePattern = ".*" + (symbol != null ? symbol.toUpperCase() : "") + ".*";
        List<Stock> matches = new ArrayList();
        for (Stock c : stocks) {
          if (Pattern.matches(namePattern, c.getTicker().toUpperCase())) {
                matches.add(c);
          }
        }
        return matches;
      }

      public StockManager() {
        stocks.add(new Stock("ibm", "234.43"));
        stocks.add(new Stock("GOOGL", "1023.34"));
        stocks.add(new Stock("MSFT", "234.12"));
        stocks.add(new Stock("UBS", "345"));
        stocks.add(new Stock("PRFT", "8.3"));
        stocks.add(new Stock("ACR", "345"));
        stocks.add(new Stock("ICR", "57"));
        stocks.add(new Stock("POP", "52.3"));
        LOGGER.log(LOGGER.ERROR, "Inside the stocks "+stocks.size());
      }
}
